#ifndef _MENU
#define _MENU

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <allegro.h>
#include <string.h>

#define LEN 32

typedef struct {
	int choice; //'where de we go now' variable
	int volume; //0-100 volume
	int mod;
	char playerName[32];
	char ip[16];
	int port;
	int socket;
}gameConfig;

enum choices {
	DEFAULT = 0,
	MAIN,
	SINGLE,
	MULTI,
	CREDITS,
	JOIN,
	CREATE,
	OPTIONS,
	BACK,
	EXIT
};

enum mods {
	KK = 0,
	EOO 
};




int my_button_proc (int msg, DIALOG *d, int c);
void initializeDialog (DIALOG* d, int size);
int set_port (char* str);

void main_menu (gameConfig* config);
void options_menu (gameConfig* config);
void multiplayer_menu (gameConfig* config);
void start_menu (gameConfig* config);

#endif

