#ifndef _PLAYER
#define _PLAYER

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <allegro.h>
#include <string.h>

#include "vector.h"

#define DEFAULT_ANGLE 0
#define MAX_STR 20
#define MIN_STR -20

typedef struct {
	char name[32];
	int score;

	float strength;
	float angle;
} player;

// Read Properties
float getStr (player* p);
float getAngle (player* p);
// Write Properties
void setStr (player* p, float str);
void setAngle (player* p, float angle);

// Other
void addAngle (player* p, float angle);
void addStr (player* p, float str);
void subStr (player* p, float str);

void addScore (player* p, int points);
void setScore (player* p, int points);

void fixAngle (player* p);

void initializePlayer (player* p);
void importShot (player* p, char* shot);
void exportShot (player* p, char* shot);

#endif
