#ifndef _RAY
#define _RAY

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <allegro.h>

#include "vector.h"

typedef struct {
	point p1;
	point p2;
	float a, b, c; // ax+by+c=0
	float angle; // angulo com eixo x+
} ray;

void initializeRay (ray* r, float x1, float y1, float x2, float y2);
point getP1 (ray* r);
point getP2 (ray* r);
float getRayAngle (ray* r);
float sqrPointRayDistance (ray* r, point* p0);


#endif

