#ifndef _VECTOR
#define _VECTOR

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <allegro.h>

typedef struct {
	float x;
	float y;
} vector;

typedef vector point;

// Read properties
float getX (vector* v);
float getY (vector* v);

// Write properties
void setX (vector* v, float x);
void setY (vector* v, float y);
void setVector (vector* v, float x, float y);

// Other
void addVector (vector* myVector, vector* b);
void subVector (vector* myVector, vector* b);
void mulVector (vector* myVector, vector* b);
float sqrDistance (vector* a, vector* b);
void vectorRotation (vector* v, float angle);
float calculateAngle (point* p1, point* p2);

#endif

