#ifndef _INTERFACE
#define _INTERFACE

#include <allegro.h>
#include <stdio.h>
#include <math.h>
#include <string.h>

#include "ray.h"
#include "player.h"
#include "table.h"
#include "ball.h"
#include "sound.h"
#include "include/aastr.h"

void initializeInterface(); //inicializa os modulos do allegro
void paintItPink (BITMAP* ball);
void loadBallArrayImages (ball* ballArray, int totalBalls); //carrega as imagens das bolas
char* getImageName(int ballNumber, int frameNumber); // Pega o nome da imagem da bola
void loadTableImage (table* t); // Carrega a imagem da mesa
void refreshScreen (table* t, ball* ballArray, int totalBalls, BITMAP* complement); // Atualiza a tela
void desenhaRetas (BITMAP* buffer, table* t);
void drawHoles (table* t, BITMAP* buffer);
void drawStick (player* p, table* t, ball* ballArray, int totalBalls, float forca, int guideLine);

#endif
